Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

List All Pipelines Brief

GET/pipelines/brief
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Successful Response

Array of BriefPipeline
idstring | null

Unique identifier

Show properties
Any of:
string
string
null
null
namestring | null

User-defined pipeline name

Show properties
Any of:
string
string
null
null
entity_idstring | null
Show properties
Any of:
string
string
null
null
sourceBriefPipelineConnectorRef | null
Show properties
Any of:
BriefPipelineConnectorRef
idstring | null
Show properties
Any of:
string
string
null
null
namestring | null
Show properties
Any of:
string
string
null
null
connectorstring | null
Show properties
Any of:
string
string
null
null
null
null
destinationBriefPipelineConnectorRef | null
Show properties
Any of:
BriefPipelineConnectorRef
idstring | null
Show properties
Any of:
string
string
null
null
namestring | null
Show properties
Any of:
string
string
null
null
connectorstring | null
Show properties
Any of:
string
string
null
null
null
null
transformsBriefPipelineTransformRef[]

Each transform once, though the pipeline document lists it per topic

Show properties
Array of BriefPipelineTransformRef
idstring | null
Show properties
Any of:
string
string
null
null
namestring | null
Show properties
Any of:
string
string
null
null
transform_typestring | null
Show properties
Any of:
string
string
null
null
tagsstring[]
created_timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
updated_timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
Request
curl -X GET 'https://api.streamkap.com/pipelines/brief' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
[
  {
    "id": "string",
    "name": "string",
    "entity_id": "string",
    "source": {
      "id": "string",
      "name": "string",
      "connector": "string"
    },
    "destination": {
      "id": "string",
      "name": "string",
      "connector": "string"
    },
    "transforms": [
      {
        "id": "string",
        "name": "string",
        "transform_type": "string"
      }
    ],
    "tags": [
      "string"
    ],
    "created_timestamp": "2019-08-24T14:15:22Z",
    "updated_timestamp": "2019-08-24T14:15:22Z"
  }
]